<?php
/*
Plugin Name: Default Trackbacks
Plugin URI: http://www.szehau.com/archives/2005/07/default-trackbacks/
Description: A plugin to set the default trackbacks at edit form.
Version: 1.1
Author: Low Sze Hau
Author URI: http://www.szehau.com/
*/

class Default_Trackbacks {

	// Constructor
	function Default_Trackbacks () {
		$this->is_edit_form = false;
	}
  
	// Called from edit form
	function edit_form () {
		$this->is_edit_form = true;
	}

	// Set the default trackback if it is in edit form
	function set_trackbacks()  {

		if ($this->is_edit_form) {
			$filename = dirname (__FILE__).'/trackback.txt';
			if ($handle = fopen ($filename, 'r')) {
				$content = fread($handle, filesize($filename));
				fclose ($handle);
				$urls = preg_split("/[\s]+/", $content);
				$trackback = '';
				foreach ($urls as $url) {
					$trackback.= $url.' ';
				}
				echo '
				<script type="text/javascript">
				<!--
				if (document.forms[\'post\'].elements[\'trackback_url\'].value=="")
					document.forms[\'post\'].elements[\'trackback_url\'].value="' . trim($trackback) . '";
				-->
				</script>';
			}
		}
	}
}

$default_trackbacks = new Default_Trackbacks();

add_action('simple_edit_form', array(&$default_trackbacks, 'edit_form'));
add_action('edit_form_advanced', array(&$default_trackbacks, 'edit_form'));
add_action('admin_footer', array(&$default_trackbacks, 'set_trackbacks'));

?>
